# Infineon PSoC6

### [Introduction](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/quick-start?id=%e7%ae%80%e4%bb%8b) <a href="#jian-jie" id="jian-jie"></a>

`PSoC6-CY8CKIT-062S2-43012`It is a development board for a 32-bit dual-core CPU subsystem (ARM Cortex-M4 and ARM Cortex-M0) launched by Infineon. It has a 150-MHz Arm Cortex-M4F CPU with single-cycle multiplication (floating point and memory protection unit), a 100-MHz Cortex M0+ CPU with single-cycle multiplication and memory protection unit MPU, which can give full play to the performance of the PSoC6 dual-core chip.

Development Board Appearance Details: [CY8CKIT-062S2-43012 - Infineon Technologies](https://www.infineon.com/cms/en/product/evaluation-boards/cy8cproto-062-4343w/)

**The core onboard resources** of this development board are as follows:

* MCU: CY8C624ABZI-S2D44, Cortex-M4 150MHz, Cortex-M0 100MHz, 2MB Flash and 1MB SRAM
* MCU Manual For more detailed information, please refer to the document [PSoC 6 MCU: CY8C62x8, CY8C62xA Datasheet](https://www.infineon.com/dgdl/Infineon-PSOC_6_MCU_CY8C62X8_CY8C62XA-DataSheet-v17_00-EN.pdf?fileId=8ac78c8c7d0d8da4017d0ee7d03a70b1)
* Onboard resources: microSD card, 64-Mb Quad-SPI NOR flash, CYW43012 Wi-Fi + Bluetooth Combo Chip
* Emulator: Onboard Psoc5 Dap-link emulator debugger
* Development environment: ModusToolbox 2.0/MDK V5
* PSoC® Creator™ Download Link [ModusToolbox™ Software - Infineon Technologies](https://www.infineon.com/cms/en/design-support/tools/sdk/modustoolbox-software/)
* Development board: CY8CKIT-062S2-43012
* For more detailed information about the development board, please refer to document [002-25010\_REV A\_WEB PDF V1 Final](https://www.infineon.com/dgdl/Infineon-CY8CPROTO-062-4343W_PSoC_6_Wi-Fi_BT_Prototyping_Kit_Quick_Start_Guide-UserManual-v01_00-EN.pdf?fileId=8ac78c8c7d0d8da4017d0f0106871835)

The appearance of the development board is shown in the figure below:

![board](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/figures/board.png)

### [Preparation](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/quick-start?id=%e5%87%86%e5%a4%87%e5%b7%a5%e4%bd%9c) <a href="#zhun-bei-gong-zuo" id="zhun-bei-gong-zuo"></a>

**The psoc6-cy8ckit-062S2-43012** board support package provides MDK5 and RT-Studio projects, and supports GCC and ArmClang development environments. The following describes how to run the sample program. Before running the sample program, you need to do the following preparations:

1. MDK development environment

   We need to install MDK-ARM 5.24 (official version or evaluation version, 5.14 and above are both OK), which is also the latest version and can provide relatively complete debugging functions. For installation methods, please refer to [Keil MDK installation](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/quick-start/keil/keil) .
2. MDK development environment

   First open MDK. If `Cypress-PSoC6`the chip support package is not installed, it will prompt you to install it online. Just follow the prompts to install it. If there is a network problem, you can go to [the Keil](https://www.keil.com/dd2/pack) official website to download the installation package and install it offline.

![mdk\_package](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/figures/mdk_package.png)

3. RT-Thread Studio development environment First open `RT-Thread Studio`the development tool, click File in the upper left corner -> Import -> RT-Thread Studio project to the workspace.

![Import Project](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/figures/studio1.png)

4. Then select `PSoC6-CY8CKIT-062S2-43012`the directory of the development board support package and import it

![Import Project](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/figures/studio2.png)

5. Connect the Dap-Link USB port of the development board to the PC

![Connect to PC](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/figures/usb_pc.png)

### [Running the first example program](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/quick-start?id=%e8%bf%90%e8%a1%8c%e7%ac%ac%e4%b8%80%e4%b8%aa%e7%a4%ba%e4%be%8b%e7%a8%8b%e5%ba%8f) <a href="#yun-xing-di-yi-ge-shi-li-cheng-xu" id="yun-xing-di-yi-ge-shi-li-cheng-xu"></a>

1. MDK environment operation:

Enter `bsp\cypress\psoc6-cy8ckit-062S2-43012`the folder, double-click the project.uvprojx file, open the MDK5 project, and compile. After the compilation is complete, click the download button to download the firmware to the development board and observe the program running status.

![Compiling the first example program](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/figures/compile_first_example.jpg)

2. RT-Thread Studio environment operation:

   Click the Build option in the upper left corner of the IDE to compile the project.

   ![Compile](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/figures/studio3-build.png)

   When the compilation is complete without error warnings, click `Debug`or `Download`to debug/download.

   ![download](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/figures/studio4-download.png)

### [Operation Results](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/quick-start?id=%e8%bf%90%e8%a1%8c%e7%bb%93%e6%9e%9c) <a href="#yun-xing-jie-guo" id="yun-xing-jie-guo"></a>

After the program is downloaded successfully, the system will automatically run. Open the terminal tool serial port assistant and select the baud rate as 115200. After resetting the device, the LED will flash at a frequency of 500HZ, and `RT-Thread`the output information can be seen on the terminal:

Note: It is recommended to use a serial port debugging assistant such as:`MobaXterm`

```
 \ | /
- RT -     Thread Operating System
 / | \     4.1.1 build Jul 25 2022 18:03:35
 2006 - 2022 Copyright by RT-Thread team
msh >copymistakeCopy Success
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aic-eec.com/recommended_by_aic/rt-thread-university-program/infineon-psoc6.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
